=== debian/control ===
--- 
+++ 
@@ -14,15 +14,18 @@
  po-debconf,
  libhamcrest-java (>= 1.3)
 Build-Depends-Indep: maven-repo-helper,
+ libcglib3-java,
+ libeasymock-java (>= 3.0),
  libecj-java (>= 3.10.1~),
+ libobjenesis-java,
  javahelper,
  junit4,
  libjstl1.1-java,
  libjakarta-taglibs-standard-java,
  lsb-release
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/tomcat7.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/tomcat7.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/tomcat7.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/tomcat7.git
 Homepage: http://tomcat.apache.org
 
 Package: tomcat7-common
