=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DATE      := $(shell dpkg-parsechangelog --show-field Date)
 ANT       := ant -propertyfile debian/ant.properties \
              -Dyear=$(shell date --date='$(DATE)' --utc +'%Y') \
-             -Dtoday='$(shell LANG=en date --date='$(DATE)' --utc +'%b %-d %Y')' \
+             -Dtoday='$(shell LC_ALL=C date --date='$(DATE)' --utc +'%b %-d %Y')' \
              -Dtstamp=$(shell date --date='$(DATE)' --utc +%H:%M:%S) \
              -Ddistribution.name=$(shell lsb_release -si)
 
@@ -124,6 +124,11 @@
 		&& sed "s/\@ROOT_WEBAPP_MD5SUM\@/$$rwmd5sum/" debian/tomcat7.postrm.in > debian/tomcat7.postrm
 	jh_manifest
 
+	# Make the /etc/tomcat7/Catalina/localhost directory writable by the tomcat user
+	for PACKAGE in tomcat7 tomcat7-admin tomcat7-docs tomcat7-examples; do \
+		chmod 775 --verbose debian/$$PACKAGE/etc/tomcat7/Catalina/localhost; \
+	done
+
 override_dh_auto_clean:
 	dh_auto_clean
 	-$(ANT) clean
