## tomcat7 7.0.69

=== debian/changelog ===
tomcat7 (7.0.69-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 May 2016 10:01:02 +0200

tomcat7 (7.0.69-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 23 Apr 2016 11:30:01 +0200
