## tomcat7 7.0.70

=== debian/changelog ===
tomcat7 (7.0.70-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 16 Sep 2016 14:18:58 +0200

tomcat7 (7.0.70-3) unstable; urgency=high

  * Team upload.
  * Fixed CVE-2016-1240: A flaw in the init.d startup script allows local
    attackers who have gained access to the server in the context of the
    tomcat user through a vulnerability in a web application to replace
    the catalina.out file with a symlink to an arbitrary file on the system,
    potentially leading to a root privilege escalation.
    Thanks to Dawid Golunski for the report.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 14 Sep 2016 10:56:45 +0200

tomcat7 (7.0.70-2) unstable; urgency=medium

  * Team upload.
  * Do not unconditionally override files in /etc/tomcat7. (Closes: #821391)
  * Change file permissions to 640 for Debian files in /etc/tomcat7.

 -- Markus Koschany <apo@debian.org>  Tue, 02 Aug 2016 11:43:11 +0200

tomcat7 (7.0.70-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 20 Jun 2016 10:58:56 +0200
