=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
  http://svn.apache.org/repos/asf/tomcat/tc7.0.x/tags/ TOMCAT_([0-9_]*[0123456789])/ debian debian/orig-tar.sh
