## tomcat7 7.0.73

=== debian/changelog ===
tomcat7 (7.0.73-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Nov 2016 10:53:00 +0100

tomcat7 (7.0.72-4) unstable; urgency=medium

  * Depend on libcglib-nodep-java instead of libcglib3-java

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Nov 2016 16:55:48 +0100
