=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  po-debconf,
  libhamcrest-java (>= 1.3)
 Build-Depends-Indep: maven-repo-helper,
- libcglib3-java,
+ libcglib-nodep-java,
  libeasymock-java (>= 3.0),
  libecj-java (>= 3.10.1~),
  libobjenesis-java,
