## tomcat7 7.0.75

=== debian/changelog ===
tomcat7 (7.0.75-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports:
    - Build all packages
    - Keep the build dependency on libcglib3-java

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 05 Feb 2017 21:26:58 +0100

tomcat7 (7.0.75-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Jan 2017 13:13:38 +0100
