=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	javadoc -locale en -subpackages "javax.servlet" -d "output/api" \
 		-sourcepath "java" -author -version -breakiterator -notimestamp \
 		-windowtitle "Tomcat API Documentation" -doctitle "Tomcat API" \
-		-bottom "Copyright &#169; 2000-2015 Apache Software Foundation. All Rights Reserved."
+		-bottom "Copyright &#169; 2000-2016 Apache Software Foundation. All Rights Reserved."
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -124,11 +124,6 @@
 		&& sed "s/\@ROOT_WEBAPP_MD5SUM\@/$$rwmd5sum/" debian/tomcat7.postrm.in > debian/tomcat7.postrm
 	jh_manifest
 
-	# Make the /etc/tomcat7/Catalina/localhost directory writable by the tomcat user
-	for PACKAGE in tomcat7 tomcat7-admin tomcat7-docs tomcat7-examples; do \
-		chmod 775 --verbose debian/$$PACKAGE/etc/tomcat7/Catalina/localhost; \
-	done
-
 override_dh_auto_clean:
 	dh_auto_clean
 	-$(ANT) clean
